package com.jeeplus.business.program.configuration.projectDict.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.program.configuration.fileDict.domain.ProgramFileDict;
import com.jeeplus.business.program.configuration.projectDict.domain.ProgramProjectDict;
import com.jeeplus.business.program.configuration.projectDict.domain.vo.FileDictVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectDictMapper extends BaseMapper<ProgramProjectDict> {

    List<FileDictVo> parentList();

    List<FileDictVo> list(@Param("type") String type);

    List<ProgramFileDict> getFileParentList(@Param("id") String id, @Param("fileIds") List<String> fileIds);

    List<ProgramFileDict> getFileList(@Param("id") String id, @Param("fileIds") List<String> fileIds);

    FileDictVo findById(@Param("id") String id);

    /**
     * 根据类型值查询父节点
     * @return
     */
    List<FileDictVo> getParentList(@Param("sortList")List<String> sortList);
}
